#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: darcs
version: 2.13.0
id: darcs-2.13.0-1Nx8dydd1uNB1Gf6nbvFT9
key: darcs-2.13.0-1Nx8dydd1uNB1Gf6nbvFT9
license: GPL
maintainer: <darcs-devel@darcs.net>
stability: Experimental
homepage: http://darcs.net/
synopsis: a distributed, interactive, smart revision control system
description:
    Darcs is a free, open source revision control
    system. It is:
    .
    * Distributed: Every user has access to the full
    command set, removing boundaries between server and
    client or committer and non-committers.
    .
    * Interactive: Darcs is easy to learn and efficient to
    use because it asks you questions in response to
    simple commands, giving you choices in your work
    flow. You can choose to record one change in a file,
    while ignoring another. As you update from upstream,
    you can review each patch name, even the full "diff"
    for interesting patches.
    .
    * Smart: Originally developed by physicist David
    Roundy, darcs is based on a unique algebra of
    patches.
    .
    This smartness lets you respond to changing demands
    in ways that would otherwise not be possible. Learn
    more about spontaneous branches with darcs.
category: Development
author: David Roundy <droundy@darcs.net>, <darcs-devel@darcs.net>
exposed: True
indefinite: False
exposed-modules:
    Darcs.Patch Darcs.Patch.Annotate Darcs.Patch.Apply
    Darcs.Patch.ApplyMonad Darcs.Patch.ApplyPatches
    Darcs.Patch.Bracketed Darcs.Patch.Bracketed.Instances
    Darcs.Patch.Bundle Darcs.Patch.Choices Darcs.Patch.Commute
    Darcs.Patch.CommuteFn Darcs.Patch.Conflict Darcs.Patch.Debug
    Darcs.Patch.Depends Darcs.Patch.Dummy Darcs.Patch.Effect
    Darcs.Patch.FileHunk Darcs.Patch.Format Darcs.Patch.Index.Monad
    Darcs.Patch.Index.Types Darcs.Patch.Info Darcs.Patch.Inspect
    Darcs.Patch.Invert Darcs.Patch.Match Darcs.Patch.Matchable
    Darcs.Patch.Merge Darcs.Patch.MonadProgress Darcs.Patch.Named
    Darcs.Patch.Named.Wrapped Darcs.Patch.OldDate
    Darcs.Patch.PatchInfoAnd Darcs.Patch.Patchy
    Darcs.Patch.Patchy.Instances Darcs.Patch.Permutations
    Darcs.Patch.Prim Darcs.Patch.Prim.Class Darcs.Patch.Prim.FileUUID
    Darcs.Patch.Prim.FileUUID.Apply Darcs.Patch.Prim.FileUUID.Coalesce
    Darcs.Patch.Prim.FileUUID.Commute Darcs.Patch.Prim.FileUUID.Core
    Darcs.Patch.Prim.FileUUID.Details
    Darcs.Patch.Prim.FileUUID.ObjectMap Darcs.Patch.Prim.FileUUID.Read
    Darcs.Patch.Prim.FileUUID.Show Darcs.Patch.Prim.V1
    Darcs.Patch.Prim.V1.Apply Darcs.Patch.Prim.V1.Coalesce
    Darcs.Patch.Prim.V1.Commute Darcs.Patch.Prim.V1.Core
    Darcs.Patch.Prim.V1.Details Darcs.Patch.Prim.V1.Read
    Darcs.Patch.Prim.V1.Show Darcs.Patch.Progress Darcs.Patch.Read
    Darcs.Patch.ReadMonads Darcs.Patch.Rebase
    Darcs.Patch.Rebase.Container Darcs.Patch.Rebase.Fixup
    Darcs.Patch.Rebase.Item Darcs.Patch.Rebase.Name
    Darcs.Patch.Rebase.Viewing Darcs.Patch.RegChars Darcs.Patch.Repair
    Darcs.Patch.RepoPatch Darcs.Patch.RepoType Darcs.Patch.Set
    Darcs.Patch.Show Darcs.Patch.Split Darcs.Patch.Summary
    Darcs.Patch.SummaryData Darcs.Patch.TokenReplace
    Darcs.Patch.TouchesFiles Darcs.Patch.Type Darcs.Patch.V1
    Darcs.Patch.V1.Apply Darcs.Patch.V1.Commute Darcs.Patch.V1.Core
    Darcs.Patch.V1.Read Darcs.Patch.V1.Show Darcs.Patch.V1.Viewing
    Darcs.Patch.V2 Darcs.Patch.V2.Non Darcs.Patch.V2.RepoPatch
    Darcs.Patch.Viewing Darcs.Patch.Witnesses.Eq
    Darcs.Patch.Witnesses.Ordered Darcs.Patch.Witnesses.Sealed
    Darcs.Patch.Witnesses.Show Darcs.Patch.Witnesses.Unsafe
    Darcs.Patch.Witnesses.WZipper Darcs.Prelude Darcs.Repository
    Darcs.Repository.ApplyPatches Darcs.Repository.Cache
    Darcs.Repository.Clone Darcs.Repository.Diff Darcs.Repository.Flags
    Darcs.Repository.Format Darcs.Repository.Hashed
    Darcs.Repository.HashedIO Darcs.Repository.Identify
    Darcs.Repository.InternalTypes Darcs.Repository.Job
    Darcs.Repository.Match Darcs.Repository.Merge Darcs.Repository.Old
    Darcs.Repository.Packs Darcs.Repository.PatchIndex
    Darcs.Repository.Pending Darcs.Repository.Prefs
    Darcs.Repository.Rebase Darcs.Repository.Repair
    Darcs.Repository.Resolution Darcs.Repository.State
    Darcs.Repository.Test Darcs.Repository.Working
    Darcs.UI.ApplyPatches Darcs.UI.Commands Darcs.UI.Commands.Add
    Darcs.UI.Commands.Amend Darcs.UI.Commands.Annotate
    Darcs.UI.Commands.Apply Darcs.UI.Commands.Clone
    Darcs.UI.Commands.Convert Darcs.UI.Commands.Diff
    Darcs.UI.Commands.Dist Darcs.UI.Commands.GZCRCs
    Darcs.UI.Commands.Help Darcs.UI.Commands.Init Darcs.UI.Commands.Log
    Darcs.UI.Commands.MarkConflicts Darcs.UI.Commands.Move
    Darcs.UI.Commands.Optimize Darcs.UI.Commands.Pull
    Darcs.UI.Commands.Push Darcs.UI.Commands.Rebase
    Darcs.UI.Commands.Record Darcs.UI.Commands.Remove
    Darcs.UI.Commands.Repair Darcs.UI.Commands.Replace
    Darcs.UI.Commands.Revert Darcs.UI.Commands.Rollback
    Darcs.UI.Commands.Send Darcs.UI.Commands.SetPref
    Darcs.UI.Commands.Show Darcs.UI.Commands.ShowAuthors
    Darcs.UI.Commands.ShowContents Darcs.UI.Commands.ShowDependencies
    Darcs.UI.Commands.ShowFiles Darcs.UI.Commands.ShowIndex
    Darcs.UI.Commands.ShowPatchIndex Darcs.UI.Commands.ShowRepo
    Darcs.UI.Commands.ShowTags Darcs.UI.Commands.Tag
    Darcs.UI.Commands.Test Darcs.UI.Commands.TransferMode
    Darcs.UI.Commands.Unrecord Darcs.UI.Commands.Unrevert
    Darcs.UI.Commands.Util Darcs.UI.Commands.Util.Tree
    Darcs.UI.Commands.WhatsNew Darcs.UI.CommandsAux Darcs.UI.Completion
    Darcs.UI.Defaults Darcs.UI.Email Darcs.UI.External Darcs.UI.Flags
    Darcs.UI.Message.Send Darcs.UI.Options Darcs.UI.Options.All
    Darcs.UI.Options.Core Darcs.UI.Options.Flags Darcs.UI.Options.Iso
    Darcs.UI.Options.Markdown Darcs.UI.Options.Matching
    Darcs.UI.Options.Util Darcs.UI.PatchHeader Darcs.UI.PrintPatch
    Darcs.UI.RunCommand Darcs.UI.SelectChanges Darcs.UI.TheCommands
    Darcs.UI.Usage Darcs.Util.AtExit Darcs.Util.Bug
    Darcs.Util.ByteString Darcs.Util.CommandLine Darcs.Util.Compat
    Darcs.Util.Crypt.SHA1 Darcs.Util.Crypt.SHA256
    Darcs.Util.DateMatcher Darcs.Util.DateTime Darcs.Util.Diff
    Darcs.Util.Diff.Myers Darcs.Util.Diff.Patience Darcs.Util.Download
    Darcs.Util.Download.HTTP Darcs.Util.Download.Request
    Darcs.Util.English Darcs.Util.Exception Darcs.Util.Exec
    Darcs.Util.External Darcs.Util.File Darcs.Util.Global
    Darcs.Util.Hash Darcs.Util.Index Darcs.Util.IsoDate Darcs.Util.Lock
    Darcs.Util.Path Darcs.Util.Printer Darcs.Util.Printer.Color
    Darcs.Util.Progress Darcs.Util.Prompt Darcs.Util.Ratified
    Darcs.Util.Show Darcs.Util.SignalHandler Darcs.Util.Ssh
    Darcs.Util.Text Darcs.Util.Tree Darcs.Util.Tree.Hashed
    Darcs.Util.Tree.Monad Darcs.Util.Tree.Plain Darcs.Util.URL
    Darcs.Util.Workaround
hidden-modules: Version Darcs.Util.Download.Curl
                Darcs.Util.Encoding
abi: 75497342d082141018f0b18116b7fe6c
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/darcs-2.13.0
library-dirs: /usr/lib/ghc-8.2.2/site-local/darcs-2.13.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/darcs-2.13.0
hs-libraries: HSdarcs-2.13.0-1Nx8dydd1uNB1Gf6nbvFT9
extra-libraries:
    curl
depends:
    base-4.10.1.0 binary-0.8.5.1 containers-0.5.10.2
    regex-compat-tdfa-0.95.1.4-2gLzbQ9jLcw5gvM26Qcuji
    regex-applicative-0.3.3-DxcXiGFOKNJAEyOISHX5JB
    mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH transformers-0.5.2.0
    parsec-3.1.11-4HFX6l6YojG1oyYQULsuQ1
    fgl-5.5.4.0-9LmntGux65f56KmvEYc3VM
    graphviz-2999.19.0.0-HIqDgx9E4cD56gF10JOd6W
    html-1.0.1.2-HJx3nTTgwhH7I2VQDflUHM filepath-1.4.1.2
    haskeline-0.7.4.0 cryptohash-0.11.9-KwFFxgUy4QKJVt4idcGzpE
    base16-bytestring-0.1.1.6-Bd4rUARbKHBrsqzcqGjb8
    utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO
    vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4
    tar-0.5.0.3-7uH7Usofl2BFmvax6EB94t
    data-ordlist-0.4.7.0-HY9GJ9QjrmJEtSDOUJy6x9
    attoparsec-0.13.2.0-1AORA640dG8HmlrlyiwzkH
    zip-archive-0.3.1.1-7FrckYj3aETCtRFPL29bkU
    async-2.1.1.1-K5IvYqkVegLI7CBS6i3gtn
    sandi-0.4.1-7uDoQIrvBntIo8p52Vehvh
    unix-compat-0.4.3.1-9X6l1OQmDE7ClflprogzfQ bytestring-0.10.8.2
    old-time-1.1.0.3-46BMzRKZrT477y0C8mrrus time-1.8.0.2
    text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj directory-1.3.0.2
    process-1.6.1.0 array-0.5.2.0 random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We
    hashable-1.2.6.1-9ZXmUmZR8Ja1wkFjzrwxTy
    mmap-0.5.9-2C3IHFsNevT2M7ra1kTHx1
    zlib-0.6.1.2-3jYpKaDVsj2d994OadtMM
    network-uri-2.6.1.0-LYYrYvUJy87zSaoB2hpvT
    network-2.6.3.2-Elf6Dxkfz0iKjb1zv5eBTP
    HTTP-4000.3.9-8ak7ZEEv7LnBNQSKgqkDLq unix-2.7.2.2
    knob-0.1.1-4sPosrrSwNF5HdhEVGL5Jj terminfo-0.4.1.0
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             binary-0.8.5.1=efb65bc450356b9ea572733928ffb43f
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             regex-compat-tdfa-0.95.1.4-2gLzbQ9jLcw5gvM26Qcuji=6db5783a21141139b1eb42c2727eba00
             regex-applicative-0.3.3-DxcXiGFOKNJAEyOISHX5JB=e161b22e673551add88fc59f5452ce64
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=1e76d6f7019a4b5c8c222b2fbbb06681
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             parsec-3.1.11-4HFX6l6YojG1oyYQULsuQ1=ac5e6b578591765d59beabaa71c9486d
             fgl-5.5.4.0-9LmntGux65f56KmvEYc3VM=8107c7ec0408e8805abfc786bf663252
             graphviz-2999.19.0.0-HIqDgx9E4cD56gF10JOd6W=87d4e704cf9fdd526bf1b42ab448b968
             html-1.0.1.2-HJx3nTTgwhH7I2VQDflUHM=694e2acdc878f8e5397e003a5fb1ea2f
             filepath-1.4.1.2=f49190c9093d895f9f159c40e7d1ff46
             haskeline-0.7.4.0=24b777f5b4ff8d658af854f896d5e835
             cryptohash-0.11.9-KwFFxgUy4QKJVt4idcGzpE=045e90cbc35f0d20c1b5f63e512cedfc
             base16-bytestring-0.1.1.6-Bd4rUARbKHBrsqzcqGjb8=cc35e858b42560e1732fc34a3f6212b3
             utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO=e0ce70380190fd366eaf58242d407bf1
             vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4=aa687f07efbeaeb82a30478c8f07e96e
             tar-0.5.0.3-7uH7Usofl2BFmvax6EB94t=c12a6fd10ca7400da2d431f53d8b0853
             data-ordlist-0.4.7.0-HY9GJ9QjrmJEtSDOUJy6x9=1728f0f938439bb0182cfc9d05e8d3ad
             attoparsec-0.13.2.0-1AORA640dG8HmlrlyiwzkH=1e5250700950658eff033f7537304029
             zip-archive-0.3.1.1-7FrckYj3aETCtRFPL29bkU=28bc1ce4a3892af1f864e721bcdf38c8
             async-2.1.1.1-K5IvYqkVegLI7CBS6i3gtn=2f2bfb87d27ef4e5ac013c6e1a680f92
             sandi-0.4.1-7uDoQIrvBntIo8p52Vehvh=f7c7b86aec19e31e90dfe56848a61071
             unix-compat-0.4.3.1-9X6l1OQmDE7ClflprogzfQ=5b179f57b538cadc8b677d453ca08cb0
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             old-time-1.1.0.3-46BMzRKZrT477y0C8mrrus=6e88558dac665c66c2d7d633e15999e5
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj=168216a11cdc39c8cc50d80b9c45a385
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             process-1.6.1.0=df30c64bceb5deb119c7833d040aa380
             array-0.5.2.0=26dc06837667b4f45ea7fe07c114ff89
             random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We=bddaa4d6513f513fbc23673a7214617b
             hashable-1.2.6.1-9ZXmUmZR8Ja1wkFjzrwxTy=0960747f6d33db66637f40f842025f18
             mmap-0.5.9-2C3IHFsNevT2M7ra1kTHx1=15ac09002beb7f78932a7730d2941155
             zlib-0.6.1.2-3jYpKaDVsj2d994OadtMM=71e809b45e9d2afb17d0dfafd165b73c
             network-uri-2.6.1.0-LYYrYvUJy87zSaoB2hpvT=eb2c71a3c16909d5272749b4cd94d59c
             network-2.6.3.2-Elf6Dxkfz0iKjb1zv5eBTP=be5c9ce6f97dd4968397992ca4f22add
             HTTP-4000.3.9-8ak7ZEEv7LnBNQSKgqkDLq=e84c5caccdef26ec8554e200d132d9bf
             unix-2.7.2.2=1e3caa57de79efd01f1c7566785dcafa
             knob-0.1.1-4sPosrrSwNF5HdhEVGL5Jj=52a3125b8530a932a2abbb7bec60507a
             terminfo-0.4.1.0=1646d9299867b10e6bde31c49287772c
haddock-interfaces: /usr/share/doc/darcs/html/darcs.haddock
haddock-html: /usr/share/doc/darcs/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

